# extension

Many OpenStack server APIs include API extensions that enable additional functionality.

## extension list

List API extensions

    openstack extension list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--compute]
        [--identity]
        [--network]
        [--volume]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--compute

  List extensions for the Compute API

--identity

  List extensions for the Identity API

--network

  List extensions for the Network API

--volume

  List extensions for the Block Storage API

--long

  List additional fields in output

## extension show

Show API extension

    openstack extension show <extension>

extension

  Extension to display. Currently, only network extensions are supported. (Name or Alias)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.